geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: Problem building custom activemq for geronimo 2.1
Date Fri, 19 Nov 2010 13:58:58 GMT

On Nov 19, 2010, at 8:30 AM, Rick McGuire wrote:

> On 11/19/2010 8:20 AM, Ashish Jain wrote:
>> Somehow I am again seeing some intermittent failures at times RoundRobinDispatchPolicyTest
will fail and at times Spring2XmlNamesapceWithoutRemoteSchemaTest  is failing. This seems
to be a very unpredictable behavior.
>> 
>> This suggests that activemq 4.1.2 build is quite unstable. I think it is better to
use 4.1.2 as is and defer JIRA 5700 for 2.1.7 release.
> Perhaps it makes sense to start working on an activemq upgrade for a 2.1.8 release immediately
after shipping 2.1.7 so it has time to be shaken out.  It's looking like we're going to have
a tough time maintaining this now quite old activemq version.

It is old. Personally, I'd direct users towards G 2.2 and 3.0 for upgraded AMQ versions. If
someone wants to work on upgrading the AMQ version in 2.1.x, they are welcome to... However,
it's going to take a fair amount of rework, I think.

--kevan
Mime
View raw message